<?php

function law_firm_attorney_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'construction_hub_footer_widget_image' );
    $wp_customize->remove_control( 'construction_hub_footer_widget_image' );
}
add_action( 'customize_register', 'law_firm_attorney_remove_customize_register', 11 );

function construction_renovation_customize_register( $wp_customize ) {

    $wp_customize->register_control_type( 'Construction_Renovation_Toggle_Control' );

    // Services Option
    $wp_customize->add_section('construction_renovation_services_option',array(
        'title' => __('Our Services Section', 'construction-renovation'),
        'panel' => 'construction_hub_panel_id',
        'priority' => 9,
    ) );

    $wp_customize->add_setting( 'construction_renovation_show_hide_service_section', array(
        'default'           => false,
        'transport'         => 'refresh',
        'sanitize_callback' => 'construction_hub_sanitize_checkbox',
    ) );
    $wp_customize->add_control( new Construction_Renovation_Toggle_Control( $wp_customize, 'construction_renovation_show_hide_service_section', array(
        'label'       => esc_html__( 'Show / Hide section', 'construction-renovation' ),
        'section'     => 'construction_renovation_services_option',
        'type'        => 'toggle',
        'settings'    => 'construction_renovation_show_hide_service_section',
    ) ) );

    $wp_customize->add_setting('construction_renovation_services_counter',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('construction_renovation_services_counter',array(
        'label' => __('Service Counter ','construction-renovation'),
        'section'=> 'construction_renovation_services_option',
        'type'      => 'number',
        'input_attrs' => array(
          'step' => 1,
          'min'  => 0,
          'max'  => 4,
            ),
    ));

    $wp_customize->add_setting('construction_hub_search_icon',array(
        'default' => true,
        'sanitize_callback' => 'construction_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('construction_hub_search_icon',array(
        'type' => 'checkbox',
        'priority' => 1,
        'label' => __('Show / Hide Search Option','construction-renovation'),
        'section' => 'construction_hub_topbar',
    ));
    $wp_customize->selective_refresh->add_partial( 'construction_hub_search_icon', array(
        'selector' => '.search-box i',
        'render_callback' => 'construction_hub_customize_partial_construction_hub_search_icon',
    ) );

    $construction_renovation_services_cus = get_theme_mod('construction_renovation_services_counter','');
    for ( $construction_renovation_i = 1; $construction_renovation_i <= $construction_renovation_services_cus; $construction_renovation_i++ ) {
        $wp_customize->add_setting('construction_renovation_services_icon'.$construction_renovation_i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
            $wp_customize->add_control('construction_renovation_services_icon'.$construction_renovation_i,array(
            'label' => __('Icon ','construction-renovation').$construction_renovation_i,
            'description' => __('Fontawesome Icon ex: fas fa-phone','construction-renovation'),
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));

        $wp_customize->add_setting('construction_renovation_services_heading'.$construction_renovation_i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
            $wp_customize->add_control('construction_renovation_services_heading'.$construction_renovation_i,array(
            'label' => __('Title ','construction-renovation').$construction_renovation_i,
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));

        $wp_customize->add_setting('construction_renovation_services_text'.$construction_renovation_i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
            $wp_customize->add_control('construction_renovation_services_text'.$construction_renovation_i,array(
            'label' => __('Text ','construction-renovation').$construction_renovation_i,
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));
    }
    $wp_customize->add_setting('construction_renovation_services_image',array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'construction_renovation_services_image',array(
        'label' => __('Image ','construction-renovation'),
        'description' => __('Image Dimension ( 475 x 300 )','construction-renovation'),
        'section' => 'construction_renovation_services_option',
        'settings' => 'construction_renovation_services_image',
    )));

    $wp_customize->selective_refresh->add_partial( 'construction_renovation_services_image', array(
        'selector' => '#services_box h3',
        'render_callback' => 'construction_renovation_customize_partial_construction_renovation_services_image',
    ) );
}
add_action( 'customize_register', 'construction_renovation_customize_register' );
