<?php
/**
 * Template part for displaying Our Services section
 *
 * @package Construction Renovation
 * @subpackage construction_renovation
 */
?>
<?php if( get_theme_mod( 'construction_renovation_show_hide_service_section') != '') { ?>
<section id="services_box" class="py-5">
  <div class="container">
    <div class="row">
      <div class="col-lg-7 col-md-12">
        <div class="row">
          <?php $construction_renovation_services = get_theme_mod('construction_renovation_services_counter','');
          for ( $construction_renovation_i = 1; $construction_renovation_i <= $construction_renovation_services; $construction_renovation_i++ ){ ?>
            <div class="col-lg-6 col-md-6">
              <div class="box-services mb-5">
                <?php if( get_theme_mod('construction_renovation_services_heading'.$construction_renovation_i) != '' || get_theme_mod('construction_renovation_services_icon'.$construction_renovation_i) != ''){ ?>
                  <h3><i class="<?php echo esc_attr(get_theme_mod('construction_renovation_services_icon'.$construction_renovation_i,'')); ?> mr-3"></i><?php echo esc_html(get_theme_mod('construction_renovation_services_heading'.$construction_renovation_i,'')); ?><hr></h3>
                <?php }?>
                <?php if( get_theme_mod('construction_renovation_services_text'.$construction_renovation_i) != ''){ ?>
                  <p class="mb-0"><?php echo esc_html(get_theme_mod('construction_renovation_services_text'.$construction_renovation_i,'')); ?></p>
                <?php }?>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
      <div class="col-lg-5 col-md-12">
        <?php if( get_theme_mod('construction_renovation_services_image') != ''){ ?>
          <img src="<?php echo esc_url(get_theme_mod('construction_renovation_services_image','')); ?>">
        <?php }?>
      </div>
    </div>
  </div>
</section>
<?php }?>